[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.VoidSlots

Number of empty slots in the hash table.

## Declaration

Source position: contnrs.pp line 387

`public property TFPCustomHashTable.VoidSlots: LongWord read GetVoidSlots;`

## Description

VoidSlots is the number of empty slots in the hash table. Calculating this is an expensive operation.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.AVGChainLen |  | Average chain length
TFPCustomHashTable.MaxChainLength |  | Maximum chain length
TFPCustomHashTable.LoadFactor |  | Fraction of count versus size
TFPCustomHashTable.Density |  | Number of filled slots
TFPCustomHashTable.NumberOfCollisions |  | Number of extra items

The latest version of this document can be found at lazarus-ccr.sourceforge.net .